## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# pointer_equals_predicate< T > Struct Template Reference

List of all members.

## Public Types

- typedef std::unary_function<
  const T *, bool > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Member Functions

- pointer_equals_predicate (argument_type theArg)
- result_type operator() (argument_type theOther) const

### template<class T>
struct pointer_equals_predicate< T >

## Member Typedef Documentation

template<class T>
typedef BaseClassType::argument_type pointer_equals_predicate< T >::argument_type

template<class T>
typedef std::unary_function<const T*, bool> pointer_equals_predicate< T >::BaseClassType

template<class T>
typedef BaseClassType::result_type pointer_equals_predicate< T >::result_type

## Constructor & Destructor Documentation

template<class T>
pointer_equals_predicate< T >::pointer_equals_predicate | ( | argument_type | theArg | ) |

## Member Function Documentation

template<class T>
result_type pointer_equals_predicate< T >::operator() | ( | argument_type | theOther | ) | const

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.